require 'rails/railtie'
require 'active_support/ordered_options'

module Hickory
  module Rails
    class Railtie < ::Rails::Railtie
      config.hickory = ActiveSupport::OrderedOptions.new
      config.hickory.enabled = false

      config.after_initialize do |app|
        Hickory::Rails.setup(app) if app.config.hickory.enabled
      end
    end
  end
end